/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for NonInvasiveTestIschemia
 */
public enum EnumCV_NonInvasiveTestIschemia 
{
	//CID 3737 Non-Invasive Test - Ischemia
	NOT_DONE_48_1("48-1"),
	POSITIVE_48_2("48-2"),
	NEGATIVE_48_3("48-3"),
	EQUIVOCAL_48_4("48-4"),
	ARRHYTHMIA_48_5("48-5");

	private String value;
	
	EnumCV_NonInvasiveTestIschemia(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
